// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 主体高度
        infoHeight: '',
        frameStyle: { useTop: true, name: '修改密码', leftArrow: true, useBar: false },
        form: {}
    },
    back: function () {
        wx.navigateBack({ url: '/pages/me/index' })
    },
    //提交
    formSubmit: function (e) {
        console.log('form发生了submit事件，携带数据为：', e.detail.value)
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (e) {
        // 计算高度
        this.searchHeight()
        const that = this;
        // 获取用户信息
        wx.getStorage({
            key: 'token',
            success: function (res) {
                wx.request({
                    url: `${app.globalData.publicUrl}/courtAdmin/api/user/updatePwd`, //接口地址
                    method: "post",
                    data: { "password": "" },
                    header: {},
                    success: res => {
                        console.log(res);
                    },
                    error: err => {
                        console.log(err);
                    }
                })
            }
        })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        // 减去状态栏
        let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})