// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    showModal: false,
    // 主体高度
    infoHeight: '',
    frameStyle: { useTop: true, name: '比赛信息', leftArrow: true, useBar: false },
    list: [{
      logo1: '/image/logo1.png',
      logo2: '/image/logo2.png',
      time: '1-15 15:00',
      ranks1: '哈拉海队幼儿园组',
      score1: '2',
      score2: '1',
      ranks2: '马尼拉老年组',
      state: '未开始',
      match: '第二届老年组小区板王比赛'
    }],
    list1: [{ team: '哈拉海队', logo1: '/image/logo1.png', },],
    lists1: [
      { id: '1', text: '小孩1', tou: '/image/tou.png' },
      { id: '1', text: '小孩2', tou: '/image/tou.png' },
      { id: '1', text: '小孩3', tou: '/image/tou.png' },
      { id: '1', text: '小孩4', tou: '/image/tou.png' },
      { id: '1', text: '小孩5', tou: '/image/tou.png' },
    ],
    list2: [{ team: '马尼拉队', logo2: '/image/logo2.png', },],
    lists2: [
      { id: '1', text: '老头1', tou: '/image/tou.png' },
      { id: '1', text: '老头2', tou: '/image/tou.png' },
      { id: '1', text: '老头3', tou: '/image/tou.png' },
      { id: '1', text: '老头4', tou: '/image/tou.png' },
      { id: '1', text: '老头5', tou: '/image/tou.png' },
      { id: '1', text: '老头6', tou: '/image/tou.png' },
      { id: '1', text: '老头7', tou: '/image/tou.png' },
      { id: '1', text: '老头8', tou: '/image/tou.png' },
      { id: '1', text: '老头9', tou: '/image/tou.png' },
      { id: '1', text: '老头10', tou: '/image/tou.png' },
    ],
    form: {
      logo1: '/image/logo1.png',
      team1: '哈拉海队',
      num1: '0',
      num2: '',
      logo2: '/image/logo2.png',
      team2: '马尼拉队',
      num3: '0',
      num4: '',
    }
  },
  //提交
  formSubmit: function (e) {
    console.log('form发生了submit事件，携带数据为：', e.detail.value)
    this.setData({
      showModal: false
    }),
      wx.showToast({
        title: '保存成功',
        icon: 'success',
        duration: 2000
      })
  },
  back: function () {
    wx.navigateBack({ url: '/pages/me/index' })
  },
  //点击我显示底部弹出框
  clickme: function () {
    this.showModal();
  },

  //显示对话框

  clickme: function () {
    this.setData({
      showModal: true
    })
  },
  preventTouchMove: function () {
  },
  //关闭弹窗
  go: function () {
    this.setData({
      showModal: false
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})